# aws_prov

## Index

- [Permission](#permission)
- [Provision_aws](#provision_aws)
- [Provision_env_aws](#provision_env_aws)
- [ReqPlan](#reqplan)
- [SecurityGroup](#securitygroup)
- [ServerDefaults_aws](#serverdefaults_aws)
- [Server_aws](#server_aws)
- [Storage_aws](#storage_aws)

## Schemas

### Permission

Permisssion for Security Groups

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**fromPort** `required`|int|||
|**name** `required`|str|||
|**protocol** `required`|"tcp" | "udp"||"tcp"|
|**ranges** `required`|str||"[{CidrIp=0.0.0.0/0},{CidrIp=10.0.0.0/24}]"|
|**toPort** `required`|int|||
### Provision_aws

AWS provision data settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**main** `required`|[Provision_env_aws](#provision_env_aws)|||
|**priv**|[Provision_env_aws](#provision_env_aws)|||
### Provision_env_aws

AWS provision env data settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**avail_zone** `required`|str|||
|**cidr_block** `required`|str|||
|**sg**|[SecurityGroup](#securitygroup)|||
|**subnet** `required`|str|||
|**vpc** `required`|str|||
### ReqPlan

RequiredPlan settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**arch** `required`|"x86_64" | "arm64"||"x86_64"|
|**cores** `required`|int||1|
|**ena** `required`|str||"supported,required"|
|**gen**|str||"current"|
|**infaces** `required`|int||2|
|**memory** `required`|int|||
|**scale** `required`|bool||True|
### SecurityGroup

Security Groups

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**id**|str|||
|**name** `required`|str|||
|**perms**|[[Permission](#permission)]|||
### ServerDefaults_aws

Server Defaults settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**disable_stop** `required`|bool||True|
|**domains_search**|str|||
|**fix_local_hosts** `required`|bool||True|
|**installer_user**|str||"${user}"|
|**labels** `required`|str||"{Key=cluster,Value=k8s}"|
|**liveness_ip**|str|||
|**liveness_port** `required`|int||22|
|**lock** `required`|bool||False|
|**main_domain**|str|||
|**network_private_id**|str|||
|**network_private_name**|str|||
|**network_public_ip**|str|||
|**network_public_ipv4**|bool||True|
|**network_public_ipv6**|bool||False|
|**network_utility_ipv4** `required`|bool||True|
|**network_utility_ipv6** `required`|bool||False|
|**not_use** `required`|bool||False|
|**plan**|str|||
|**primary_dns**|str|||
|**priv_cidr_block**|str|||
|**prov_settings** `required`|str||"defs/aws_data.k"|
|**prov_settings_clean** `required`|bool||False|
|**provider** `required` `readOnly`|"aws"||"aws"|
|**reqplan**|[ReqPlan](#reqplan)|||
|**running_timeout** `required`|int||200|
|**running_wait** `required`|int||10|
|**scale**|[ScaleResource](#scaleresource)|||
|**secondary_dns**|str|||
|**ssh_key_name**|str|||
|**ssh_key_path**|str|||
|**storage_os**|str|||
|**storage_os_find** `required`|str||"name: debian-12 \| arch: x86_64"|
|**storages**|[[Storage_aws](#storage_aws)]|||
|**time_zone** `required`|str||"UTC"|
|**user** `required`|str||"admin"|
|**user_home**|str||"/home/${user}"|
|**user_ssh_key_path**|str|||
|**user_ssh_port**|int||22|
|**zone**|str|||
### Server_aws

AWS server settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**clusters**|[[ClusterDef](#clusterdef)]|||
|**disable_stop** `required`|bool||True|
|**domains_search**|str|||
|**extra_hostnames**|[str]|||
|**fix_local_hosts** `required`|bool||True|
|**hostname** `required`|str|||
|**installer_user**|str||"${user}"|
|**labels** `required`|str||"{Key=cluster,Value=k8s}"|
|**liveness_ip**|str|||
|**liveness_port** `required`|int||22|
|**lock** `required`|bool||False|
|**main_domain**|str|||
|**network_private_id**|str|||
|**network_private_ip**|str|||
|**network_private_name**|str|||
|**network_public_ip**|str|||
|**network_public_ipv4**|bool||True|
|**network_public_ipv6**|bool||False|
|**network_utility_ipv4** `required`|bool||True|
|**network_utility_ipv6** `required`|bool||False|
|**not_use** `required`|bool||False|
|**plan**|str|||
|**primary_dns**|str|||
|**priv_cidr_block**|str|||
|**prov_settings** `required`|str||"defs/aws_data.k"|
|**prov_settings_clean** `required`|bool||False|
|**provider** `required` `readOnly`|"aws"||"aws"|
|**reqplan**|[ReqPlan](#reqplan)|||
|**running_timeout** `required`|int||200|
|**running_wait** `required`|int||10|
|**scale**|[ScaleResource](#scaleresource)|||
|**secondary_dns**|str|||
|**ssh_key_name**|str|||
|**ssh_key_path**|str|||
|**storage_os**|str|||
|**storage_os_find** `required`|str||"name: debian-12 \| arch: x86_64"|
|**storages**|[[Storage_aws](#storage_aws)]|||
|**taskservs**|[[TaskServDef](#taskservdef)]|||
|**time_zone** `required`|str||"UTC"|
|**title** `required`|str|||
|**user** `required`|str||"admin"|
|**user_home**|str||"/home/${user}"|
|**user_ssh_key_path**|str|||
|**user_ssh_port**|int||22|
|**zone**|str|||
### Storage_aws

AWS Storage settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**deletetermination** `required`|bool||False|
|**encrypted** `required`|bool||False|
|**fstab** `required`|bool||True|
|**kms_id** `required`|str||""|
|**labels** `required`|str||""|
|**mount** `required`|bool||True|
|**mount_path**|str|||
|**name** `required`|str|||
|**parts**|[[StorageVol](#storagevol)]||[]|
|**size** `required`|int||0|
|**total** `required`|int||size|
|**type** `required`|"ext4" | "xfs" | "btrfs" | "raw" | "zfs"||"ext4"|
|**voldevice** `required`|str||"sdf"|
|**volname** `required`|str||""|
|**voltype** `required`|"standard" | "io1" | "io2" | "gp2" | "sc1" | "st1" | "gp3"||"gp2"|
|**zone** `required`|str||""|
<!-- Auto generated by kcl-doc tool, please do not edit. -->
